HELP REQUIRED - Updating database to latest stable release

Get help with installation and running phpBB 3.0.x here. Please do not post bug reports, feature requests, or MOD-related questions here.
Ideas Centre
Forum rules
END OF SUPPORT: 1 January 2017 (announcement)
Locked
bigesky
Registered User
Posts: 30
Joined: Wed Oct 19, 2016 10:22 am

HELP REQUIRED - Updating database to latest stable release

Post by bigesky »

Hi All

I have followed the installation instruction to the letter when updateing from 3.0 to 3.1
i even used the toolkit

when i point my site to the the install/database_update
it starts to do its thing

After hitting continue for the first time im displayed with the following message below

what does this mean and what do i have to do to continue??????

This is the 3rd time i have tried and i really need your help to get me past this???

Can someone help please what does the line mean which is in bold below in the quote file!!!!! what are the before and after keys???

I would really appreciate the help

Thanks in advanced
Updating database to latest stable release

Database type :: mysql4
Previous version :: 3.0.5
Installing Data: \phpbb\db\migration\data\v30x\release_3_0_6_rc1.
Several modules with the given parent module langname already exist: ACP_FORUM_BASED_PERMISSIONS. Try using before/after keys to clarify the module placement.
User avatar
Lumpy Burgertushie
Registered User
Posts: 68294
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: HELP REQUIRED - Updating database to latest stable release

Post by Lumpy Burgertushie »

bigesky wrote:Hi All

I have followed the installation instruction to the letter when updateing from 3.0 to 3.1
i even used the toolkit

when i point my site to the the install/database_update
it starts to do its thing

After hitting continue for the first time im displayed with the following message below

what does this mean and what do i have to do to continue??????

This is the 3rd time i have tried and i really need your help to get me past this???

Can someone help please what does the line mean which is in bold below in the quote file!!!!! what are the before and after keys???

I would really appreciate the help

Thanks in advanced
Updating database to latest stable release

Database type :: mysql4
Previous version :: 3.0.5
Installing Data: \phpbb\db\migration\data\v30x\release_3_0_6_rc1.
Several modules with the given parent module langname already exist: ACP_FORUM_BASED_PERMISSIONS. Try using before/after keys to clarify the module placement.
just to be clear, you are not installing anything, you are upgrading.
if you followed some installation instructions then that could be your problem.

try this, using phpmyadmin or whatever your host provides for database access, truncate/empty the migrations table of the database.

then, re run the install/database_update.php file.


robert
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.3 Styles by PlanetStyles.net

If nobody is in the forest, does a tree really fall?
bigesky
Registered User
Posts: 30
Joined: Wed Oct 19, 2016 10:22 am

Re: HELP REQUIRED - Updating database to latest stable release

Post by bigesky »

These are the directions im following below

but i do have a question with in these instructions as made bold and highlighted below???
Can someone answer me this please???

also i thank you for the replies but

how do i truncate/empty the migrations table of the database via phpmysqladmin?????
Help on this to would be great..

Thanks
Upgrading from phpbb 3.0.x to phpbb 3.1.x

Your server must be running at least PHP 5.3.3 and less than PHP 7
Most MODs for 3.0.x are incompatible with 3.1.x and their functionality will be removed in the update process.
Styles for 3.0.x cannot be installed or used on 3.1.x.

Backup up your board's files and database
Download the Support Toolkit. Install it and run the database cleaner to remove all old MODs from the database.
Deactivate all styles except for prosilver
Ensure that the activated spambot countermeasure is one of the standard phpBB plugins (Simple image, GD image, GD 3D image, Q&A, reCaptacha).
Set British English as the only language pack
Delete all of your phpBB 3.0.x files EXCEPT for the following:
The config.php file
The /images/ directory
The /files/ directory
Upload the contents of the phpBB3 directory from the uncompressed 3.1.x Full Package (EXCEPT for config.php) into your forum's directory (Note: you don't want to overwrite your original config.php file)

It ask you to delete all files from your old package apart from the ones above, but it does not mention that that you need to delete the above from the upgrade package before uploading.?????? do i upload these files from these directories without overwriting the ones from your previous site

Browse to yourdomain.com/yourphpbb/install/database_update.php and keep clicking the continue button until it says it is finished. This will take a long time on a large board, maybe hours. Dont give up.
Delete the folder named /install/
Hold one foot in the air and spin around in a circle three times saying "I am a phpbb guru".
bigesky
Registered User
Posts: 30
Joined: Wed Oct 19, 2016 10:22 am

Re: HELP REQUIRED - Updating database to latest stable release

Post by bigesky »

Lumpy Burgertushie wrote:
bigesky wrote:Hi All

I have followed the installation instruction to the letter when updateing from 3.0 to 3.1
i even used the toolkit

when i point my site to the the install/database_update
it starts to do its thing

After hitting continue for the first time im displayed with the following message below

what does this mean and what do i have to do to continue??????

This is the 3rd time i have tried and i really need your help to get me past this???

Can someone help please what does the line mean which is in bold below in the quote file!!!!! what are the before and after keys???

I would really appreciate the help

Thanks in advanced
Updating database to latest stable release

Database type :: mysql4
Previous version :: 3.0.5
Installing Data: \phpbb\db\migration\data\v30x\release_3_0_6_rc1.
Several modules with the given parent module langname already exist: ACP_FORUM_BASED_PERMISSIONS. Try using before/after keys to clarify the module placement.
just to be clear, you are not installing anything, you are upgrading.
if you followed some installation instructions then that could be your problem.

try this, using phpmyadmin or whatever your host provides for database access, truncate/empty the migrations table of the database.
i tried this and produced the same message again


Updating database to latest stable release

Database type :: mysql4
Previous version :: 3.0.5
Migration already effectively installed (skipped): \phpbb\db\migration\data\v30x\release_3_0_0
Migration already effectively installed (skipped): \phpbb\db\migration\data\v30x\release_3_0_1_rc1
Migration already effectively installed (skipped): \phpbb\db\migration\data\v30x\release_3_0_1
Migration already effectively installed (skipped): \phpbb\db\migration\data\v30x\release_3_0_2_rc1
Migration already effectively installed (skipped): \phpbb\db\migration\data\v30x\release_3_0_2_rc2
Migration already effectively installed (skipped): \phpbb\db\migration\data\v30x\release_3_0_2
Migration already effectively installed (skipped): \phpbb\db\migration\data\v30x\release_3_0_3_rc1
Migration already effectively installed (skipped): \phpbb\db\migration\data\v30x\release_3_0_3
Migration already effectively installed (skipped): \phpbb\db\migration\data\v30x\release_3_0_4_rc1
Migration already effectively installed (skipped): \phpbb\db\migration\data\v30x\release_3_0_4
Migration already effectively installed (skipped): \phpbb\db\migration\data\v30x\release_3_0_5_rc1
Migration already effectively installed (skipped): \phpbb\db\migration\data\v30x\release_3_0_5_rc1part2
Migration already effectively installed (skipped): \phpbb\db\migration\data\v30x\release_3_0_5
Installing Schema: \phpbb\db\migration\data\v30x\release_3_0_6_rc1.
Installed Schema: \phpbb\db\migration\data\v30x\release_3_0_6_rc1; Time: 0.21 seconds
Installing Data: \phpbb\db\migration\data\v30x\release_3_0_6_rc1.
Several modules with the given parent module langname already exist: ACP_FORUM_BASED_PERMISSIONS. Try using before/after keys to clarify the module placement.

then, re run the install/database_update.php file.


robert
bigesky
Registered User
Posts: 30
Joined: Wed Oct 19, 2016 10:22 am

Re: HELP REQUIRED - Updating database to latest stable release

Post by bigesky »

Im sure there is someone here who knows how to address this issue???
bigesky
Registered User
Posts: 30
Joined: Wed Oct 19, 2016 10:22 am

Re: HELP REQUIRED - Updating database to latest stable release

Post by bigesky »

After 189 views but no further suggestions, after trying everything.
I desperate to have this upgrade.

Is there anyone who wish to do the upgrade for me, i will reinstall everthing ready for you to start from scratch.
I will give you access to my phpmysqadmin and ftp.



Thanks
User avatar
Lumpy Burgertushie
Registered User
Posts: 68294
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: HELP REQUIRED - Updating database to latest stable release

Post by Lumpy Burgertushie »

zip up your 3.0 database backup sql file and PM it to me and I will see if I can get it to work for you.


robert
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.3 Styles by PlanetStyles.net

If nobody is in the forest, does a tree really fall?
bigesky
Registered User
Posts: 30
Joined: Wed Oct 19, 2016 10:22 am

Re: HELP REQUIRED - Updating database to latest stable release

Post by bigesky »

pm sent and thank you
bigesky
Registered User
Posts: 30
Joined: Wed Oct 19, 2016 10:22 am

Re: HELP REQUIRED - Updating database to latest stable release

Post by bigesky »

Lumpy Burgertushie wrote:zip up your 3.0 database backup sql file and PM it to me and I will see if I can get it to work for you.


robert

Just would like to take this opportunity to thank Lumpy for helping me on transitioning from 3.0 to 3.1

cheers
User avatar
Lumpy Burgertushie
Registered User
Posts: 68294
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: HELP REQUIRED - Updating database to latest stable release

Post by Lumpy Burgertushie »

I forgot to do this.

the problem with the database was that it was never updated properly through the 3.0 series.

I updated the database to 3.0.14 and then it updated to 3.1.10 with very little problems.


robert
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.3 Styles by PlanetStyles.net

If nobody is in the forest, does a tree really fall?
Locked

Return to “[3.0.x] Support Forum”